<?xml version="1.0" encoding="UTF-8" ?>

<ClassComponent localName="SQLExecutor" description="Исполнитель sql запроса"
	fileName="NPCSQLExecutor.jar" className="org.mati.npc.components.sqlexecutor.NPCSQLExecutor"
	version="8872" time="17.02.2009 01:05:07">

	<INLink name="InControl" description=""
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</INLink>

	<INLink name="InClear" description=""
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</INLink>


	<INLink name="InArg1" description=""
		interfaceName="org.mati.npc.components.interfaces.StringListener"
		linksNumber="0" nullable="true">
	</INLink>

	<INLink name="InArg2" description=""
		interfaceName="org.mati.npc.components.interfaces.StringListener"
		linksNumber="0" nullable="true">
	</INLink>

	<INLink name="InArg3" description=""
		interfaceName="org.mati.npc.components.interfaces.StringListener"
		linksNumber="0" nullable="true">
	</INLink>


	<OUTLink name="OutError" description=""
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</OUTLink>
	<OUTLink name="OutErrorE"
		description=""
		interfaceName="org.mati.npc.components.interfaces.Effector"
		linksNumber="0" nullable="true">
	</OUTLink>
	
	<OUTLink name="OutMap" description=""
		interfaceName="org.mati.npc.components.interfaces.MapListener"
		linksNumber="0" nullable="true">
	</OUTLink>
	
	<Attribute name="Sql"
		description="Шаблон sql, возможны ключи #arg1#,#arg2# и #arg3#"
		nullable="false" type="java.lang.String" defaultValue="">
	</Attribute>
	
	<Attribute name="DbLogin"
		description="Логин БД"
		nullable="false" type="java.lang.String" defaultValue="">
	</Attribute>
	
	<Attribute name="DbPassword"
		description="Пароль БД"
		nullable="false" type="java.lang.String" defaultValue="">
	</Attribute>
	
	<Attribute name="DbDriver"
		description="Драйвер БД"
		nullable="false" type="java.lang.String" defaultValue="org.hsqldb.jdbcDriver">
	</Attribute>
	
	<Attribute name="ConnectionURL"
		description="URL БД"
		nullable="false" type="java.lang.String" defaultValue="jdbc:hsqldb:hsql://localhost/npc">
	</Attribute>
	
</ClassComponent>